<?php
/***************common***************/
add_action( 'wp_footer', 'blankslate_footer' );
function blankslate_footer() {
?>
<script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"></script>
<script>

//ブラウザクラス
$(document).ready(function($) {
  var deviceAgent = navigator.userAgent.toLowerCase();
  if (deviceAgent.match(/(iphone|ipod|ipad)/)) {
    $("html").addClass("ios");
    $("html").addClass("mobile");
  }
  if (deviceAgent.match(/(Android)/)) {
    $("html").addClass("android");
    $("html").addClass("mobile");
  }
  if (navigator.userAgent.search("MSIE") >= 0) {
    $("html").addClass("ie");
  }
  else if (navigator.userAgent.search("Chrome") >= 0) {
    $("html").addClass("chrome");
  }
  else if (navigator.userAgent.search("Firefox") >= 0) {
    $("html").addClass("firefox");
  }
  else if (navigator.userAgent.search("Safari") >= 0 && navigator.userAgent.search("Chrome") < 0) {
    $("html").addClass("safari");
  }
  else if (navigator.userAgent.search("Opera") >= 0) {
    $("html").addClass("opera");
  }

  //ハンバーガーメニュー
  var body = document.body;
  var hamburger = document.getElementById('js-hamburger');
  var blackBg = document.getElementById('js-black-bg');
  hamburger.addEventListener('click', function() {
      body.classList.toggle('nav-open');
  });
  blackBg.addEventListener('click', function() {
      body.classList.remove('nav-open');
  });

  //Pagetopに戻る
  var pagetop = $('#page_top');
  pagetop.hide();
  $(window).scroll(function () {
    if ($(this).scrollTop() > 100) {
      pagetop.fadeIn();
    } else {
      pagetop.fadeOut();
    }
  });
  pagetop.click(function () {
    $('body,html').animate({
      scrollTop: 0
    }, 500); 
    return false;
  });

});
</script>
<?php
}
?>

<?php
/***************タグ調整***************/
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'wp_print_styles', 'print_emoji_styles', 10 );
add_action( 'wp_enqueue_scripts', 'remove_my_global_styles' );
function remove_my_global_styles() {
	wp_dequeue_style( 'global-styles' );
}
add_theme_support( 'post-thumbnails' );

/***************構造化データ（JSON-LD）***************/
class WP_footer {
	public function __construct() {
	  add_action( 'wp_footer', array( $this, 'structured_data' ), 1 );
	}
	public function structured_data() {
	  $site_name        = '株式会社Zenco';
	  $site_description = get_bloginfo( 'description' );
	  $site_icon        = get_bloginfo( 'template_directory' ) . '/img/logo.svg';
	  $home_url         = home_url( '/' );
	  $schema_org       = array();

	  $publisher = array(
	    '@context'    => 'http://schema.org',
	    '@type'       => 'Organization',
	    'name'        => $site_name,
	    'description' => $site_description,
	    'logo'        => array(
	      '@type' => 'ImageObject',
	      'url'   => $site_icon,
	    ),
	  );
	  // トップページ
	  if ( is_home() ) {
	    $schema_org['home'] = array(
	      '@context'  => 'http://schema.org',
	      '@type'     => 'WebSite',
	      'name'      => $site_name,
	      'url'       => $home_url,
	      'publisher' => $publisher,
	    );
	  }
	  // ブログ詳細
	  if ( is_singular( 'post' ) ) {
	    $post_type  = get_post_type();
	    $post_ID    = get_the_ID();
      if ( has_post_thumbnail() ) {
        $image_url = get_the_post_thumbnail_url();
      }
      else{
        $image_url = get_bloginfo('template_directory')."/img/no_image.png";
      }
      if ( is_author() ) {
        $author_data = get_the_author();
      }else{
        $author_data = "admin";
      }
      $catarg = get_the_category();
      $catname = $catarg[0]->name;
      $catslug = $catarg[0]->slug;

	    $schema_org['blog_posting'] = array(
	      '@context'         => 'https://schema.org',
	      '@type'            => 'BlogPosting',
	      'mainEntityOfPage' => array(
	        '@type' => 'WebPage',
	        '@id'   => get_the_permalink(),
	      ),
	      'headline'         => get_the_title(),
	      'image'            => array(
	        $image_url,
	      ),
	      'datePublished'    => get_the_time( 'c' ),
	      'dateModified'     => get_the_modified_time( 'c' ),
	      'author'           => array(
	        '@type' => 'Person',
	        'name'  => $author_data,
	      ),
	      'publisher'        => $publisher,
	    );

	    $schema_org['breadcrumb'] = array(
	      '@context'        => 'https://schema.org',
	      '@type'           => 'BreadcrumbList',
	      'itemListElement' => array(
	        array(
	          '@type'    => 'ListItem',
	          'position' => 1,
	          'name'     => 'Home',
	          'item'     => $home_url,
	        ),
	        array(
	          '@type'    => 'ListItem',
	          'position' => 2,
	          'name'     => $catname,
	          'item'     => $home_url.$catslug."/",
	        ),
	        array(
	          '@type'    => 'ListItem',
	          'position' => 3,
	          'name'     => get_the_title(),
	          'item'     => get_the_permalink(),
	        ),
	      ),
	    );
	  }
	  // 固定ページ
	  if ( is_page() ) {
	    $post_type  = get_post_type();
	    $post_ID    = get_the_ID();
      $catarg = get_the_category();
      $catname = $catarg[0]->name;
      $catslug = $catarg[0]->slug;

	    $schema_org['blog_posting'] = array(
	      '@context'         => 'https://schema.org',
	      '@type'            => 'WebSite',
	      'mainEntityOfPage' => array(
	        '@type' => 'WebPage',
	        '@id'   => get_the_permalink(),
	      ),
	      'headline'         => get_the_title(),
	      'image'            => array(
	        get_bloginfo('template_directory')."/img/no_image.png",
	      ),
	      'datePublished'    => get_the_time( 'c' ),
	      'dateModified'     => get_the_modified_time( 'c' ),
	      'author'           => array(
	        '@type' => 'Person',
	        'name'  => 'admin',
	      ),
	      'publisher'        => $publisher,
	    );

	    $schema_org['breadcrumb'] = array(
	      '@context'        => 'https://schema.org',
	      '@type'           => 'BreadcrumbList',
	      'itemListElement' => array(
	        array(
	          '@type'    => 'ListItem',
	          'position' => 1,
	          'name'     => 'Home',
	          'item'     => $home_url,
	        ),
	        array(
	          '@type'    => 'ListItem',
	          'position' => 2,
	          'name'     => get_the_title(),
	          'item'     => post_permalink(),
	        ),
	      ),
	    );
	  }

    $this->output_as_json( $schema_org );
	}
	private function output_as_json( $schema_org ) {
	  foreach ( $schema_org as $data ) {
	    echo '<script type="application/ld+json" class="json-ld">';
	    echo json_encode( $data );
	    echo '</script>';
	  }
	}
}
new WP_footer();

/***************オリジナルDescription***************/
add_action('admin_menu', 'add_custom_fields');
add_action('save_post', 'save_custom_fields');
 
function add_custom_fields() {
  add_meta_box( 'my_sectionid', 'カスタムフィールド', 'my_custom_fields', 'post');
  add_meta_box( 'my_sectionid', 'カスタムフィールド', 'my_custom_fields', 'page');
}
 
function my_custom_fields() {
  global $post;
  $robots = get_post_meta($post->ID,'robots',true);
  //$keywords = get_post_meta($post->ID,'keywords',true);
  $description = get_post_meta($post->ID,'description',true);
   
  echo '<p>インデックス許可（index, follow or noindex, follow）<br />';
  echo '<input type="text" name="robots" value="'.esc_html($robots).'" size="50" /></p>';
   
  //echo '<p>キーワード（カンマ区切り）<br />';
  //echo '<input type="text" name="keywords" value="'.esc_html($keywords).'" size="50" /></p>';
   
  echo '<p>ページの説明（description）<br />';
  echo '<input type="text" name="description" value="'.esc_html($description).'" size="50" /></p>';
}
 
function save_custom_fields( $post_id ) {
  if(!empty($_POST['robots']))
    update_post_meta($post_id, 'robots', $_POST['robots'] );
  else delete_post_meta($post_id, 'robots');
 
  //if(!empty($_POST['keywords']))
  //  update_post_meta($post_id, 'keywords', $_POST['keywords'] );
  //else delete_post_meta($post_id, 'keywords');
 
  if(!empty($_POST['description']))
    update_post_meta($post_id, 'description', $_POST['description'] );
  else delete_post_meta($post_id, 'description');
}

function mata_title() {
  $custom = get_post_custom();
  if(!empty( $custom['robots'][0])) {
    $robots = $custom['robots'][0];
  }
  //if(!empty( $custom['keywords'][0])) {
  //  $keywords = $custom['keywords'][0];
  //}
  if(!empty( $custom['description'][0])) {
    $description = $custom['description'][0];
  }
  ?>

  <?php if(is_home()): // トップページ ?>
  <meta name="robots" content="index, follow" />
  <!--<meta name="keywords" content="キーワード1, キーワード2, キーワード3">-->
  <meta name="description" content="<?php bloginfo( 'name' ); ?>" />
  <title><?php bloginfo('name'); ?></title>
  <?php elseif(is_single()): // シングルページ ?>
  <meta name="robots" content="index, follow" />
  <!--<meta name="keywords" content="<?php echo $keywords ?>">-->
  <meta name="description" content="<?php echo $description ?>">
  <title><?php wp_title('｜',true,'right'); bloginfo('name'); ?></title>
  <?php elseif(is_page()): // 固定ページ ?>
  <meta name="robots" content="<?php echo $robots ?>" />
  <!--<meta name="keywords" content="<?php echo $keywords ?>">-->
  <meta name="description" content="<?php echo $description ?>">
  <title><?php wp_title('｜',true,'right'); bloginfo('name'); ?></title>
  <?php elseif (is_category()): // カテゴリーページ ?>
  <meta name="robots" content="index, follow" />
  <meta name="description" content="<?php single_cat_title(); ?>の記事一覧" />
  <title><?php single_cat_title(); ?>の記事一覧 | <?php bloginfo('name'); ?></title>
  <?php elseif (is_tag()): // タグページ ?>
  <meta name="robots" content="noindex, follow" />
  <meta name="description" content="<?php single_tag_title("", true); ?>の記事一覧" />
  <title><?php single_tag_title(); ?>の記事一覧 | <?php bloginfo('name'); ?></title>
  <?php elseif(is_404()): // 404ページ ?>
  <meta name="robots" content="noindex, follow" />
  <title><?php echo 'お探しのページが見つかりませんでした'; ?></title>
  <?php else: // その他ページ ?>
  <meta name="robots" content="noindex, follow" />
  <title><?php wp_title('｜',true,'right'); bloginfo('name'); ?><?php bloginfo('name'); ?></title>
  <?php endif; ?>
  <?php
}


/***************人気記事***************/
function getPostViews($postID) {
  $count_key = 'post_views_count';
  $count = get_post_meta($postID, $count_key, true);
  if ($count=='') {
    delete_post_meta($postID, $count_key);
    add_post_meta($postID, $count_key, '0');
    return "0 View";
  }
  return $count.' Views';
}

function setPostViews($postID) {
  $count_key = 'post_views_count';
  $count = get_post_meta($postID, $count_key, true);
  if ($count=='') {
    $count = 0;
    delete_post_meta($postID, $count_key);
    add_post_meta($postID, $count_key, '0');
  } else {
    $count++;
    update_post_meta($postID, $count_key, $count);
  }
}
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);

//クローラーのアクセス判別
function is_bot() {
  $ua = $SERVER['HTTP_USER_AGENT'];
  $bot = array(
    "googlebot",
    "msnbot",
    "yahoo"
  );
  foreach( $bot as $bot ) {
    if (stripos( $ua, $bot ) !== false){
      return true;
    }
  }
  return false;
}

/***************ページャ***************/
function pagination( $pages = '', $range = 2 ) {
  $showitems = ( $range * 2 ) + 1;
  global $paged;
  if ( empty( $paged ) )$paged = 1;
  if ( $pages == '' ) {
          global $wp_query;
          $pages = $wp_query->max_num_pages;
          if ( !$pages )
          {
            $pages = 1;
          }
  }
  if ( 1 != $pages )
  {
    echo "<div class=\"pagenation\">\n";
    echo "<ul>\n";
    if ( $paged > 1 )echo "<li class='prev'><a href='" . get_pagenum_link( $paged - 1 ) . "'><img src='". get_bloginfo('template_directory') . "/img/arrow_left_icon.svg" . "'></a></li>\n";
    for ( $i = 1; $i <= $pages; $i++ ) {
      if ( 1 != $pages && ( !( $i >= $paged + $range + 1 || $i <= $paged - $range - 1 ) || $pages <= $showitems ) ) {
        echo( $paged == $i ) ? "<li class=\"active\">" . $i . "</li>\n": "<li><a href='" . get_pagenum_link( $i ) . "'>" . $i . "</a></li>\n";
      }
    }
    if ( $paged < $pages )echo "<li class='next'><a href='" . get_pagenum_link( $paged + 1 ) . "'><img src='". get_bloginfo('template_directory') . "/img/arrow_right_icon.svg" . "'></a></li>\n";
    echo "</ul>\n";
    echo "</div>\n";
  }
}

/***************パンくず***************/
function mytheme_breadcrumb() {
  //home表示
	$sep = "<img src='". get_bloginfo('template_directory') . "/img/arrow_right_icon.svg" . "'>";
	echo '<li><a href="'.get_bloginfo('url').'" >HOME</a></li>';
	echo $sep;

  //記事ページとカテゴリーページでカテゴリー階層表示
	$cats = '';
	$cat_id = '';
	if ( is_single() ) {
		$cats = get_the_category();
		if( isset($cats[0]->term_id) ) $cat_id = $cats[0]->term_id;
	}
	else if ( is_category() ) {
		$cats = get_queried_object();
		$cat_id = $cats->parent;
	}
	$cat_list = array();
	while ($cat_id != 0){
		$cat = get_category( $cat_id );
		$cat_link = get_category_link( $cat_id );
		array_unshift( $cat_list, '<a href="'.$cat_link.'">'.$cat->name.'</a>' );
		$cat_id = $cat->parent;
	}
	foreach($cat_list as $value){
		echo '<li>'.$value.'</li>';
		echo $sep;
	}
 //現在のページ表示
	if ( is_singular() ) {
		if ( is_attachment() ) {
			previous_post_link( '<li>%link</li>' );
			echo $sep;
		}
		the_title( '<li>', '</li>' );
	}
	else if( is_archive() ) the_archive_title( '<li>', '</li>' );
	else if( is_search() ) echo '<li>検索 : '.get_search_query().'</li>';
	else if( is_404() ) echo '<li>ページが見つかりません</li>';
}

/***************アイキャッチ画像***************/
function get_thumb_img($size = 'full') {
  $thumb_id = get_post_thumbnail_id();
  $thumb_img = wp_get_attachment_image_src($thumb_id, $size);  
  $thumb_src = $thumb_img[0];  
  $thumb_alt = get_the_title(); 
  return '<img src="'.$thumb_src.'" alt="'.$thumb_alt.'">';
}

/***************Sitemap***************/
add_action('publish_post', 'create_sitemap');
add_action('publish_page', 'create_sitemap');
 
function create_sitemap() {
 $sitemap_posts = get_posts(array(
 'numberposts' => -1,
 'orderby' => 'modified',
 'post_type' => array('post','page'), // Add custom post types here
 'order' => 'DESC'
 ));
 
 $sitemap = '<?xml version="1.0" encoding="UTF-8"?>';
 $sitemap .= '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
 
 foreach($sitemap_posts as $post) {
 setup_postdata($post);
 
 $postdate = explode(" ", $post->post_modified);
 
 $sitemap .= '<url>'.
 '<loc>'. get_permalink($post->ID) .'</loc>'.
 '<lastmod>'. $postdate[0] .'</lastmod>'.
 '<changefreq>monthly</changefreq>'.
 '</url>';
 }
 $sitemap .= '</urlset>';
 
 $fp = fopen(ABSPATH . "sitemap.xml", 'w');
 fwrite($fp, $sitemap);
 fclose($fp);
}
?>