<!DOCTYPE html>
<html lang="ja-JP">
<head>
<?php mata_title(); ?>
<meta name="author" content="著者">
<link rel="canonical" href="<?php echo get_the_permalink();?>">
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width,minimum-scale=1,initial-scale=1">
<meta property="og:type" content="website">
<meta property="og:url" content="<?php echo get_the_permalink();?>">
<meta property="og:title" content="<?php the_title(); ?>">
<?php if($description): ?>
<meta property="og:description" content="<?php echo $description ?>">
<?php endif; ?>
<?php if (has_post_thumbnail()) : ?>
<meta property="og:image" content="<?php the_post_thumbnail_url(); ?>" />
<?php else: ?>
<meta property="og:image" content="<?php bloginfo('template_directory'); ?>/img/no_image.png" />
<?php endif; ?>
<!--
<link rel="alternate" hreflang="言語コードを記述" href="その言語で書かれたページURLを記述">
<meta property="twitter:site" content="ツイッターのアカウントIDを記述">
<meta property="twitter:creator" content="twitterのアカウントIDを記述">
<meta property="twitter:card" content="summary_large_image">
<meta property="twitter:image:src" content="ここにSNS用の画像URLを記述">
-->
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/common.css">
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/lower.css">
<?php if ( is_single() ) : ?>
    <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/single.css">
<?php endif; ?>
<?php if(is_category() || is_tag()): ?>
    <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/category.css">
<?php endif; ?>
<link rel="icon" href="<?php bloginfo('template_directory'); ?>/img/favicon.ico">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

    <header>
        <?php get_template_part('nav'); ?>
    </header>
