<?php get_header("lower");?>

<main id="content" role="main">
    <section class="single">
        <div class="section_inner">

            <div class="flex">
                <div class="article_list_left">
                    <article>
                        <div class="breadcrumb">
                            <ul class="flex"><?php mytheme_breadcrumb(); ?></ul>
                        </div>

                        <?php
                        if(have_posts()) : while(have_posts()) : the_post();
                        if( !is_user_logged_in() && !is_bot() ) {
                            setPostViews( get_the_ID() );
                        }
                        ?>
                            <h1 class="post-title"><?php the_title(); ?></h1>
                            <div class="post-category"><?php the_category(); ?></div>
                            <div class="post-date">
                                <img src="<?php bloginfo('template_directory'); ?>/img/time_ion.svg" alt="デフォルト画像" />
                                <?php the_time( get_option('date_format') ); ?>
                            </div>
                            <div class="thumbnail_list">
                                <?php if (has_post_thumbnail()) : ?>
                                    <?php echo get_thumb_img('large'); ?>
                                <?php endif ; ?>
                            </div>
                            <div id='toc'></div>
                            <div class="post_content">
                                <?php the_content(); ?>
                            </div>
                            <div class="post_tags">
                                <?php
                                $posttags = get_the_tags();
                                if ( $posttags ) {
                                echo '<ul>';
                                foreach ( $posttags as $tag ) {
                                echo '<li class="'.$tag->slug.'"><a href="'.get_tag_link($tag->term_id).'">'.$tag->name.'</a></li>';
                                }
                                echo '</ul>';
                                }
                                ?>
                            </div>
                        <?php endwhile; endif; ?>
                    </article>
                </div>
                <div class="article_list_right">
                    <?php get_sidebar(); ?>
                </div>
            </div>

        </div>
    </section>
</main>

<?php get_footer(); ?>